Update of /cvsroot/fink/dists/10.3/unstable/main/finkinfo/x11
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19805

Modified Files:
        xpad.info 
Log Message:
Need new %v to build w/gtk 2.4. Until upgrade, give intelligent build err msg.


Index: xpad.info
===================================================================
RCS file: /cvsroot/fink/dists/10.3/unstable/main/finkinfo/x11/xpad.info,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- xpad.info   20 Feb 2004 07:56:27 -0000      1.1
+++ xpad.info   12 Jul 2004 07:08:16 -0000      1.2
@@ -43,6 +43,14 @@
 SetCPPFLAGS: -Dsocklen_t=int
 ConfigureParams: --mandir='${prefix}/share/man'
 CompileScript: <<
+#!/bin/sh -ev
+  if [ `pkg-config gtk+-2.0 --modversion` == 2.4.3 ]; then 
+    cat <<EOMSG
+This fink package has not yet been patched to build with gtk+2 2.4
+You must downgrade to fink's gtk+2-dev-2.2.4 in order to compile.
+EOMSG
+    exit 1
+  fi
   X_EXTRA_LIBS=-lX11 ./configure %c
   make
 <<



-------------------------------------------------------
This SF.Net email sponsored by Black Hat Briefings & Training.
Attend Black Hat Briefings & Training, Las Vegas July 24-29 - 
digital self defense, top technical experts, no vendor pitches, 
unmatched networking opportunities. Visit www.blackhat.com
_______________________________________________
Fink-commits mailing list
[EMAIL PROTECTED]
https://lists.sourceforge.net/lists/listinfo/fink-commits

Reply via email to